org.codehaus.groovy.binding

## Class AggregateBinding

- java.lang.Object
- - org.codehaus.groovy.binding.AggregateBinding

- All Implemented Interfaces:
    BindingUpdatable

      public class AggregateBinding
      extends Object
      implements BindingUpdatable

  An aggregation of multiple bindings
  Since:
    Groovy 1.6
  Author:
    Danno Ferrin

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Set<BindingUpdatable>` | `bindings`
    `protected boolean` | `bound`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregateBinding()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBinding(BindingUpdatable binding)`
    `void` | `bind()` Causes automatic updating of bound values to be turned on.
    `void` | `rebind()` Causes the current bindings to be reset.
    `void` | `removeBinding(BindingUpdatable binding)`
    `void` | `reverseUpdate()` If supported, Causes the values to be propagated from the target to the source, If not supported, an exception may be thrown
    `void` | `unbind()` Causes automatic updating of bound values to be turned off.
    `void` | `update()` Causes the values to be propagated from the source to the target

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bound

          protected boolean bound

    - #### bindings

          protected Set<BindingUpdatable> bindings

  - ### Constructor Detail

    - #### AggregateBinding

          public AggregateBinding()

  - ### Method Detail

    - #### addBinding

          public void addBinding(BindingUpdatable binding)

    - #### removeBinding

          public void removeBinding(BindingUpdatable binding)

    - #### bind

          public void bind()

      Description copied from interface: `BindingUpdatable`
      Causes automatic updating of bound values to be turned on. This is idempotent between calls to unbind and rebind; i.e. multiple calls to bind will have only the effect of the first call.
      Specified by:
        `bind` in interface `BindingUpdatable`

    - #### unbind

          public void unbind()

      Description copied from interface: `BindingUpdatable`
      Causes automatic updating of bound values to be turned off. This is idempotent between calls to bind and rebind; i.e. multiple calls to unbind will have only the effect of the first call.
      Specified by:
        `unbind` in interface `BindingUpdatable`

    - #### rebind

          public void rebind()

      Description copied from interface: `BindingUpdatable`
      Causes the current bindings to be reset. If the binding is not bound, it is a no-op. If the binding is bound, it will be turned off, then turned on against current values.
      Specified by:
        `rebind` in interface `BindingUpdatable`

    - #### update

          public void update()

      Description copied from interface: `BindingUpdatable`
      Causes the values to be propagated from the source to the target
      Specified by:
        `update` in interface `BindingUpdatable`

    - #### reverseUpdate

          public void reverseUpdate()

      Description copied from interface: `BindingUpdatable`
      If supported, Causes the values to be propagated from the target to the source, If not supported, an exception may be thrown
      Specified by:
        `reverseUpdate` in interface `BindingUpdatable`